Bug 827404 - [abrt] ibus-pinyin-1.4.0-16.fc17: __GI_raise: Process /usr/libexec/ibus-engine-pinyin was killed by signal 6 (SIGABRT)
[abrt] ibus-pinyin-1.4.0-16.fc17: __GI_raise: Process /usr/libexec/ibus-engin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus-pinyin (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:263855c3901d7f5ad6113abf3c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 07:29 EDT by chenchacha
Modified: 2012-09-13 01:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 01:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.86 KB, text/plain)
2012-06-01 07:29 EDT, chenchacha
no flags Details
File: maps (14.72 KB, text/plain)
2012-06-01 07:29 EDT, chenchacha
no flags Details

  None (edit)
Description chenchacha 2012-06-01 07:29:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-pinyin --ibus
crash_function: __GI_raise
executable:     /usr/libexec/ibus-engine-pinyin
kernel:         3.3.7-1.fc17.x86_64
pid:            12702
pwd:            /tmp
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           2012年06月01日 星期五 18时06分12秒
uid:            1000
username:       chen
var_log_messages: Jun  1 18:06:12 chen abrt[15670]: Saved core dump of pid 12702 (/usr/libexec/ibus-engine-pinyin) to /var/spool/abrt/ccpp-2012-06-01-18:06:12-12702 (25690112 bytes)

backtrace:      Text file, 15213 bytes
maps:           Text file, 15073 bytes

build_ids:
:d8167f71e1e2d0ac457d9237f4695816ec2456d0
:8568e11bef79abaf14513d18a8559282d8dad34a
:647c8183274c4626c81e86e7a631a81782a04e65
:b6d75088f555d197be1476cb1c580640826ae029
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:7526b18a7f20d70c1262bbd00d0269eeb5c379a7
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:f64b7319b84d426ed547084bdb2577f4f596c18f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:369a9ead002012846f5e376cfb7eaa1ad99cc668
:6ed2c1e1674ca29f9ea0c15c7565d7c1809d352d
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:a553a7e9625a224a8f39286909adc17787ad51bd
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:2f621b191497844876b8b92cec2f2332ec3575ad
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:365970e3dc0d6323d5b7de1f68bbdfc164ac5907
:5dd234206476b0387cd251598aa72a2c95c763c5
:67792c148d2b8f13f6732c9367e926c26d7376c5
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:130699b76d99d57ef46beeed9d693005f3c8917f

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chen/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x60bed __gnu_cxx::__verbose_terminate_handler() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ecf6 - libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ed23 std::terminate() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ef4e __cxa_throw libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0xb1e7d std::__throw_out_of_range(char libstdc++.so.6 -
:369a9ead002012846f5e376cfb7eaa1ad99cc668 0x25ecd - [exe] -
:369a9ead002012846f5e376cfb7eaa1ad99cc668 0x2666f - [exe] -
:369a9ead002012846f5e376cfb7eaa1ad99cc668 0x295c3 - [exe] -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0xe20d - libibus-1.0.so.5 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x13674 - libibus-1.0.so.5 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xba245 - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0xf78c ibus_main libibus-1.0.so.5 -
:369a9ead002012846f5e376cfb7eaa1ad99cc668 0x7b81 - [exe] -

dso_list:
:/usr/lib64/libgobject-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.x86_64 (Fedora Project) 1338380897
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.11-2.fc17.x86_64 (Fedora Project) 1338380841
:/usr/lib64/libgmodule-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.x86_64 (Fedora Project) 1338380897
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1338380847
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1338384313
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1338380807
:/usr/lib64/libutil-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/libexec/ibus-engine-pinyin ibus-pinyin-1.4.0-16.fc17.x86_64 (Fedora Project) 1338386015
:/usr/lib64/libopencc.so.1.0.0 opencc-0.3.0-1.fc17.x86_64 (Fedora Project) 1338383983
:/usr/share/locale/zh_CN/LC_MESSAGES/ibus-pinyin.mo ibus-pinyin-1.4.0-16.fc17.x86_64 (Fedora Project) 1338386015
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1338380820
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1338384313
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/libglib-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.x86_64 (Fedora Project) 1338380897
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.x86_64 (Fedora Project) 1338537593
:/usr/lib64/libpinyin.so.0.0.3 libpinyin-0.5.92-1.fc17.x86_64 (Fedora Project) 1338381550
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/libelf-0.153.so elfutils-libelf-0.153-2.fc17.x86_64 (Fedora Project) 1338380881
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1338380803
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1338381097
:/usr/lib64/liblua-5.1.so lua-5.1.4-10.fc17.x86_64 (Fedora Project) 1338381128
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1338380822
:/usr/lib64/libgthread-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.x86_64 (Fedora Project) 1338380897
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1338380822
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1338380714
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1338380548
:/usr/lib64/libgio-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.x86_64 (Fedora Project) 1338380897
:/usr/lib64/libibus-1.0.so.5.0.499 ibus-libs-1.4.99.20120428-2.fc17.x86_64 (Fedora Project) 1338384119
:/usr/share/locale/zh_CN/LC_MESSAGES/libc.mo glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1338380714
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/libresolv-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338380743
:/usr/share/locale/zh_CN/LC_MESSAGES/glib20.mo glib2-2.32.1-1.fc17.x86_64 (Fedora Project) 1338380897
:/usr/lib64/libdb-4.8.so db4-4.8.30-10.fc17.x86_64 (Fedora Project) 1338380999

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-jnjoINVAu2,guid=04cc83cd4a60b2843627ec910000001e
:XDG_RUNTIME_DIR=/run/user/chen
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:XDG_VTNR=2
:USERNAME=chen
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jnjoINVAu2,guid=04cc83cd4a60b2843627ec910000001e
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-chen-zPgZ0h/database
:USER=chen
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=983
:SHLVL=1
:PWD=/home/chen
:GDM_LANG=zh_CN.utf8
:GNOME_KEYRING_CONTROL=/run/user/chen/keyring-jNH9Fu
:LANG=zh_CN.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=chen
:HOME=/home/chen
:LC_CTYPE=zh_CN.utf8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30593                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30593                30593                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[109909]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[109910]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:/usr/share/libpinyin/data/bigram.db
:pos:	0
:flags:	02100000
:10:/usr/share/ibus-pinyin/db/english.db
:pos:	1024
:flags:	02100000
Comment 1 chenchacha 2012-06-01 07:29:22 EDT
Created attachment 588411 [details]
File: backtrace
Comment 2 chenchacha 2012-06-01 07:29:25 EDT
Created attachment 588412 [details]
File: maps
Comment 3 Peng Wu 2012-06-04 22:41:46 EDT
Could you provide the input sentence?
Comment 4 Peng Wu 2012-09-13 01:08:11 EDT
Please try ibus-libpinyin instead.

Note You need to log in before you can comment on or make changes to this bug.